<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;
$fseries = $_SESSION["series"];
$seriescond = "AND series = '$fseries'";

$file = "product.php";

$keyfld = "code";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
//$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `code` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `name` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `code` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `name` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY `code`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `code`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `name`";
}

$ordcond = " ASC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}
//browse($cond);
$query = "SELECT `code`,`name`,`cost`,`rate` FROM `product` where code != '' $seriescond $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    $rows[] = [ 'success'    => true,
                'value'      => $ctr,
                'keyfld'     => $keyfld,
                'prodcode'   => $r['code'],
                'name'       => $r['name'],
                'cost'       => $r['cost'],
                'rate'       => $r['rate'],
                'barcode'    => $r['barcode'],
                'gstperc'    => $r['gstperc'],
                'action'     => "$file?mode=edit&code=$r[code]&series=$fseries",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
